
% Adaptive line echo canceller

% Solves part A.

% Written by Ali H. Sayed 
% Mar. 2002


close all
clear all       % clears all variables

load path.mat;  % loads the echo path model

figure
subplot(221)
plot(path)
xlabel('i');
axis tight
title('Impulse response');
grid
subplot(222)
[H,F]=freqz(path,1,512,8000);
plot(F,abs(H));
xlabel('Hz')
title('Frequency response')
grid;
