
function a = vec(A)  
 
% If A is a square matrix, then 'a' is its vectorized version.
% If A is a column vector, then 'a' is its corresponding matrix.

flag_vector = 0;
flag_matrix = 0;


[m,n] = size(A);
if n==1
 flag_vector = 1; % dealing with a vector
                  % m needs to be a perfect square
else
 flag_matrix = 1; % dealing with a matrix
                  % m and n should be equal
end

if flag_vector == 1
  M = sqrt(m);
  for j=1:M
    a(:,j) = A((j-1)*M+1:(j-1)*M+M);  % undo the vec operation to generate the matrix
  end
end


if flag_matrix == 1
 a = zeros(m^2,1);
 for i=1:m
  a((i-1)*m+1:i*m) = A(:,i);
 end
end
