
% Solves part A

% April 28, 1999
% Developed by Ali H. Sayed


clear;
clf;


c=[0.5 1.2 1.5 -1];  % Channel coefficients
M=length(c)-1;
f1=figure(1);
subplot(221), stem(0:M,c); grid;
title('Impulse response');
xlabel('i');
subplot(222); 
[H,W]=freqz(c,1,512);
plot(W,20*log10(abs(H)));
title('Frequency response'); grid;
xlabel('\omega');
ylabel('dB')
axis tight;

