
% Solves part B

close all
clear all

Ts = 1e-3;
Ns = 2000;
fd = 66.67;

x = rayleigh(Ts,Ns,fd);

figure
subplot(211)
plot(20*log10(abs(x)));
xlabel('i');
ylabel('|x(n)| (dB)');
axis tight
subplot(212)
plot(angle(x))
xlabel('i');
ylabel('arg(x(n)) (rad)');
axis tight


[n a]=hist(20*log10(abs(x)));
p=hist(angle(x));
ns=cumsum(n);
ps=cumsum(p);

figure
plot(a,ns/length(x));
xlabel('|x(n)| (dB)');
ylabel('cdf');
axis tight
grid



Ts = 1e-6;
Ns = 2000;
fd = 66.67;

x = rayleigh(Ts,Ns,fd);

figure
subplot(211)
plot(20*log10(abs(x)));
xlabel('i');
ylabel('|x(n)| (dB)');
axis tight
grid
